Docs
Get an API key
API reference›Vector Store

List Collection Items

GET /v1/vector_store/{id}/items View .md

Retrieve a list of items within a vector store collections.

  • id string required

    The ID of the vector store collection.

OK

application/json · list-vector-store-items-response-payload

1 field
  • items array of objects

    A list of vector store collection items.

    3 fields
    • id string

      The unique ID of the vector store collection item.

    • created string

      The UTC creation timestamp of the collection item in ISO 8601 format.

    • description string

      The short description of the content stored as embeddings for this record.

curl https://api.vultrinference.com/v1/vector_store/{id}/items \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
Response · 200
{
    "items": [
        {
            "id": "string",
            "created": "string",
            "description": "string"
        }
    ]
}